跳转到主要内容
运营管理/计费管理相关接口
PUTBilling Management Operations起始版本 3.7.2同步需要认证

修改计费价目

修改计费价目

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    价目表UUID

请求体字段

  • updatepricetableObject必填

    updatepricetable 请求体结构

    • nameString

      价目表名称

    • descriptionString

      价目表描述

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryPriceTableInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      价目表名称

    • descriptionString必填

      价目表描述

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

PUT/zstack/v1/billings/price-tables/{uuid}/actions

/zstack/v1/billings/price-tables/{uuid}/actions

操作 ID

UpdatePriceTable

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/billings/price-tables/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatepricetable":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "c52a6ec9d6a033daa5305a19f13448ac", "name": "price table", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史